Top Daily Campaigns
curl --request GET \
--url https://api.crowdchange.dev/v2/client/fundraisers/top/daily \
--header 'Authorization: <api-key>'import requests
url = "https://api.crowdchange.dev/v2/client/fundraisers/top/daily"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.crowdchange.dev/v2/client/fundraisers/top/daily', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 1,
"name": "Campaign",
"amount_goal": 1000,
"amount_goal_formatted": "$1,000",
"amount_raised": 550,
"amount_raised_formatted": "$550",
"n_donors": 10,
"n_teams": 5,
"n_pages": 15,
"url": "https://demo.crowdchange.dev/2",
"language": "en",
"is_hidden": false,
"closed_at": "2022-03-01 00:00:00",
"user": {
"name": "John Snow",
"first_name": "John",
"last_name": "Snow",
"title": "Mr."
},
"organization": {
"id": 1,
"name": "Crowdchange",
"custom_id": "CrowdchangeID"
},
"images": {
"original": "https://img.crowdchange.dev/files/abc.png"
}
}
]
Top Daily
Top Daily Campaigns
Retrieve the daily ranking of top CrowdChange campaigns by amount raised over the last 24 hours, ideal for a leaderboard or homepage widget.
GET
/
v2
/
client
/
fundraisers
/
top
/
daily
Top Daily Campaigns
Query parameters
string
Timezone identifier. Default:
UTCinteger
Page number. Default:
1integer
Number of results to return. Default:
10Response
Returns an array of objects with the following fields.integer
Campaign ID.
string
Campaign name.
number
Goal amount.
string
Formatted goal amount of the campaign, includes currency symbol.
number
Amount raised by the campaign.
string
Formatted amount raised by the campaign, includes currency symbol.
number
Number of donors
number
Number of teams in the campaign.
number
Number of personal pages in the campaign.
string
URL to campaign.
string
Campaign language. Allowed values:
en, frboolean
True if campaign is hidden, otherwise false.
string
Campaign closed at
object
object
| Status | Description |
|---|---|
400 | Bad Request |
403 | Forbidden |
[
{
"id": 1,
"name": "Campaign",
"amount_goal": 1000,
"amount_goal_formatted": "$1,000",
"amount_raised": 550,
"amount_raised_formatted": "$550",
"n_donors": 10,
"n_teams": 5,
"n_pages": 15,
"url": "https://demo.crowdchange.dev/2",
"language": "en",
"is_hidden": false,
"closed_at": "2022-03-01 00:00:00",
"user": {
"name": "John Snow",
"first_name": "John",
"last_name": "Snow",
"title": "Mr."
},
"organization": {
"id": 1,
"name": "Crowdchange",
"custom_id": "CrowdchangeID"
},
"images": {
"original": "https://img.crowdchange.dev/files/abc.png"
}
}
]
Was this page helpful?
⌘I